<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: mcm-listen-event.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.1.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">mcm-listen-event.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="mcm-listen-event_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef _MCM_LISTEN_EVENT_H_</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#define _MCM_LISTEN_EVENT_H_</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="mcm-base-info_8h.html">mcm-base-info.h</a>&quot;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structevent__context.html">event_context</a> <a class="code" href="structevent__context.html">event_context</a>;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<a class="code" href="structevent__context.html">event_context</a>* </div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<a class="code" href="mcm-listen-event_8h.html#aa34f8418c3ab57b0b23d03288fb6c7af">mcm_init_property_changed_event_context</a>();</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keywordtype">void</span> </div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<a class="code" href="mcm-listen-event_8h.html#a69f15537bef7887ddefa4125c26cb449">mcm_free_property_changed_event_context</a>(<a class="code" href="structevent__context.html">event_context</a>* context);</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="keywordtype">int</span> </div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<a class="code" href="mcm-listen-event_8h.html#ae9bd32b3e60ad3af4a27e6f70710be65">mcm_subscribe_properties_changed_interface</a>(<span class="keywordtype">char</span>* <a class="code" href="mcm-base-info_8h.html#a9a87c62177c96969d2d451132cb54892">interface_name</a>, <a class="code" href="structevent__context.html">event_context</a>* context, <span class="keywordtype">int</span> (*callback)(<span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="mcm-base-info_8h.html#a9a87c62177c96969d2d451132cb54892">interface_name</a>, <span class="keyword">const</span> <span class="keywordtype">char</span>* property_name, <span class="keyword">const</span> <span class="keywordtype">char</span>* property_value));</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="keywordtype">int</span> </div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<a class="code" href="mcm-listen-event_8h.html#a71777b324f9aed44f0d2cb0991c6da2a">mcm_start_listen_subscribe_properties_changed_event</a>(<a class="code" href="structevent__context.html">event_context</a>* context);</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160; </div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="keywordtype">int</span> </div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<a class="code" href="mcm-listen-event_8h.html#af384fb0e677c786ebe83d093b30cb285">mcm_stop_listen_subscribe_properties_changed_event</a>(<a class="code" href="structevent__context.html">event_context</a>* context);</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160; </div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* _MCM_LISTEN_EVENT_H_ */</span><span class="preprocessor"></span></div>
<div class="ttc" id="amcm-base-info_8h_html"><div class="ttname"><a href="mcm-base-info_8h.html">mcm-base-info.h</a></div></div>
<div class="ttc" id="amcm-base-info_8h_html_a9a87c62177c96969d2d451132cb54892"><div class="ttname"><a href="mcm-base-info_8h.html#a9a87c62177c96969d2d451132cb54892">interface_name</a></div><div class="ttdeci">char interface_name[64]</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:0</div></div>
<div class="ttc" id="amcm-listen-event_8h_html_a69f15537bef7887ddefa4125c26cb449"><div class="ttname"><a href="mcm-listen-event_8h.html#a69f15537bef7887ddefa4125c26cb449">mcm_free_property_changed_event_context</a></div><div class="ttdeci">void mcm_free_property_changed_event_context(event_context *context)</div><div class="ttdoc">A help function for free properties changed event context .</div><div class="ttdef"><b>Definition:</b> mcm-listen-event.c:34</div></div>
<div class="ttc" id="amcm-listen-event_8h_html_a71777b324f9aed44f0d2cb0991c6da2a"><div class="ttname"><a href="mcm-listen-event_8h.html#a71777b324f9aed44f0d2cb0991c6da2a">mcm_start_listen_subscribe_properties_changed_event</a></div><div class="ttdeci">int mcm_start_listen_subscribe_properties_changed_event(event_context *context)</div><div class="ttdoc">A help function for get all ethernet properties.</div><div class="ttdef"><b>Definition:</b> mcm-listen-event.c:107</div></div>
<div class="ttc" id="amcm-listen-event_8h_html_aa34f8418c3ab57b0b23d03288fb6c7af"><div class="ttname"><a href="mcm-listen-event_8h.html#aa34f8418c3ab57b0b23d03288fb6c7af">mcm_init_property_changed_event_context</a></div><div class="ttdeci">event_context * mcm_init_property_changed_event_context()</div><div class="ttdoc">A help function for init properties changed event context .</div><div class="ttdef"><b>Definition:</b> mcm-listen-event.c:22</div></div>
<div class="ttc" id="amcm-listen-event_8h_html_ae9bd32b3e60ad3af4a27e6f70710be65"><div class="ttname"><a href="mcm-listen-event_8h.html#ae9bd32b3e60ad3af4a27e6f70710be65">mcm_subscribe_properties_changed_interface</a></div><div class="ttdeci">int mcm_subscribe_properties_changed_interface(char *interface_name, event_context *context, int(*callback)(const char *interface_name, const char *property_name, const char *property_value))</div><div class="ttdoc">A help function for subscribe properties changed.</div><div class="ttdef"><b>Definition:</b> mcm-listen-event.c:79</div></div>
<div class="ttc" id="amcm-listen-event_8h_html_af384fb0e677c786ebe83d093b30cb285"><div class="ttname"><a href="mcm-listen-event_8h.html#af384fb0e677c786ebe83d093b30cb285">mcm_stop_listen_subscribe_properties_changed_event</a></div><div class="ttdeci">int mcm_stop_listen_subscribe_properties_changed_event(event_context *context)</div><div class="ttdoc">A help function for get all ethernet properties.</div><div class="ttdef"><b>Definition:</b> mcm-listen-event.c:120</div></div>
<div class="ttc" id="astructevent__context_html"><div class="ttname"><a href="structevent__context.html">event_context</a></div><div class="ttdef"><b>Definition:</b> mcm-listen-event.c:15</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
